#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
	int p[n],i;
	for( i=1; i<=n; i++ )
	{
	    cin>>p[i];
	}
	for( i=1; i<=n; i++ )
	{
	    if( p[i] == k )
        {
            if( i == n )
            {
                cout<<p[1];
                return 0;
            }
            cout<<p[i+1];
        }
	}

return 0;
}